Skip to main content
GET
/
vault-history
cURL
curl --request GET \
  --url https://beta.rocketfi.io/vault-history
{
  "history": [
    {
      "amount": "<string>",
      "assetId": 1,
      "eventType": "Deposit",
      "round": 1,
      "shares": 1,
      "timestamp": 1,
      "txHash": "<string>",
      "user": "<string>",
      "vault": "<string>"
    }
  ],
  "pageNumber": 1,
  "pageSize": 1
}

Path Parameters

vault
string<hex>
required

Vault address (required) An Ethereum-style account address (20 bytes).

user
null | string<hex>
required

User address (optional) An Ethereum-style account address (20 bytes).

paginationData
object
required

Response

Vault deposit/withdraw history

Response containing vault history entries with human-readable values

history
object[]
required

View containing multiple vault history entries with human-readable values

pageNumber
integer
required
Required range: x >= 0
pageSize
integer
required
Required range: x >= 0